Settings
Retrieves a setting using its object identifier.
Bearer authentication with JWT
OK
Forbidden
Not Found
GET /settings/{objectIdentifier} HTTP/1.1
Host: settings.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"name": "text",
"description": "text",
"dataType": "text",
"resourceTypeIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"isYes": true,
"decimalValue": 1,
"text": "text",
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z",
"isDirectory": true,
"orderNumber": 1,
"singleCategoryIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"singleCategory": {
"label": "text",
"value": "text"
},
"options": [
{
"label": "text",
"value": "text"
}
],
"categories": [
{
"label": "text",
"value": "text"
}
],
"hasImage": true
}Retrieves the image file for a setting that has Image data type.
Bearer authentication with JWT
OK
No content
Forbidden
Not Found
GET /settings/{objectIdentifier}/image HTTP/1.1
Host: settings.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Uploads an image file for a setting that has Image data type. Creates org-specific override.
Bearer authentication with JWT
OK
No content
Bad Request
Forbidden
Not Found
POST /settings/{objectIdentifier}/image HTTP/1.1
Host: settings.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 22
{
"imageFile": "binary"
}No content
Deletes the organization-specific image, falling back to template image if available.
Bearer authentication with JWT
OK
No content
Forbidden
Not Found
DELETE /settings/{objectIdentifier}/image HTTP/1.1
Host: settings.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Retrieves a setting using its object identifier.
Bearer authentication with JWT
OK
Forbidden
Not Found
GET /settings/user-settings/{objectIdentifier} HTTP/1.1
Host: settings.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"name": "text",
"description": "text",
"dataType": "text",
"resourceTypeIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"isYes": true,
"decimalValue": 1,
"text": "text",
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z",
"isDirectory": true,
"orderNumber": 1,
"singleCategoryIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"singleCategory": {
"label": "text",
"value": "text"
},
"options": [
{
"label": "text",
"value": "text"
}
],
"categories": [
{
"label": "text",
"value": "text"
}
],
"hasImage": true
}Retrieves a paginated list of all settings for the current organization.
Bearer authentication with JWT
OK
Forbidden
GET /settings HTTP/1.1
Host: settings.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"name": "text",
"description": "text",
"dataType": "text",
"resourceTypeIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"isYes": true,
"decimalValue": 1,
"text": "text",
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z",
"isDirectory": true,
"orderNumber": 1,
"singleCategoryIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"singleCategory": {
"label": "text",
"value": "text"
},
"options": [
{
"label": "text",
"value": "text"
}
],
"categories": [
{
"label": "text",
"value": "text"
}
],
"hasImage": true
}
]Retrieves settings by a list of object identifiers.
Bearer authentication with JWT
OK
Forbidden
GET /settings/setting-identifiers HTTP/1.1
Host: settings.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"name": "text",
"description": "text",
"dataType": "text",
"resourceTypeIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"isYes": true,
"decimalValue": 1,
"text": "text",
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z",
"isDirectory": true,
"orderNumber": 1,
"singleCategoryIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"singleCategory": {
"label": "text",
"value": "text"
},
"options": [
{
"label": "text",
"value": "text"
}
],
"categories": [
{
"label": "text",
"value": "text"
}
],
"hasImage": true
}
]Updates a setting by its object identifier.
Bearer authentication with JWT
OK
Bad Request
Forbidden
Not Found
PATCH /settings/{settingObjectIdentifier} HTTP/1.1
Host: settings.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 271
{
"isYes": true,
"decimalValue": 1,
"text": "text",
"date": "2026-01-01T00:00:00.000Z",
"singleCategoryIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"categories": [
"123e4567-e89b-12d3-a456-426614174000"
],
"organizationMetadataIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}{
"name": "text",
"description": "text",
"dataType": "text",
"resourceTypeIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"isYes": true,
"decimalValue": 1,
"text": "text",
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z",
"isDirectory": true,
"orderNumber": 1,
"singleCategoryIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"singleCategory": {
"label": "text",
"value": "text"
},
"options": [
{
"label": "text",
"value": "text"
}
],
"categories": [
{
"label": "text",
"value": "text"
}
],
"hasImage": true
}Last updated
